<div align="center">
    <img src="material/MLJLogo2.svg" alt="MLJ" width="200">
</div>

<h2 align="center">A Machine Learning Framework for Julia
<p align="center">
  <a href="https://github.com/alan-turing-institute/MLJ.jl/actions">
    <img src="https://github.com/alan-turing-institute/MLJ.jl/workflows/CI/badge.svg"
         alt="Build Status">
  </a>
  <a href="https://alan-turing-institute.github.io/MLJ.jl/dev/">
    <img src="https://img.shields.io/badge/docs-stable-blue.svg"
         alt="Documentation">
  </a>
  <a href="https://opensource.org/licenses/MIT">
    <img src="https://img.shields.io/badge/License-MIT-yelllow"
       alt="bibtex">
  </a>
  <a href="BIBLIOGRAPHY.md">
    <img src="https://img.shields.io/badge/cite-BibTeX-blue"
       alt="bibtex">
  </a>

</p>
</h2>


MLJ (Machine Learning in Julia) is a toolbox written in Julia
providing a common interface and meta-algorithms for selecting,
tuning, evaluating, composing and comparing over [160 machine learning
models](https://alan-turing-institute.github.io/MLJ.jl/dev/list_of_supported_models/)
written in Julia and other languages.

**New to MLJ?** Start [here](https://alan-turing-institute.github.io/MLJ.jl/dev/).

**Integrating an existing machine learning model into the MLJ
framework?** Start [here](https://alan-turing-institute.github.io/MLJ.jl/dev/quick_start_guide_to_adding_models/).

**Wanting to contribute?** Start [here](CONTRIBUTING.md). 

**PhD and Postdoc opportunies** See [here](https://sebastian.vollmer.ms/jobs/).

MLJ was initially created as a Tools, Practices and Systems project at
the [Alan Turing Institute](https://www.turing.ac.uk/)
in 2019. Current funding is provided by a [New Zealand Strategic
Science Investment
Fund](https://www.mbie.govt.nz/science-and-technology/science-and-innovation/funding-information-and-opportunities/investment-funds/strategic-science-investment-fund/ssif-funded-programmes/university-of-auckland/)
awarded to the University of Auckland.

MLJ been developed with the support of the following organizations:

<div align="center">
    <img src="material/Turing_logo.png" width = 100/>
    <img src="material/UoA_logo.png" width = 100/>
    <img src="material/IQVIA_logo.png" width = 100/>
    <img src="material/warwick.png" width = 100/>
    <img src="material/julia.png" width = 100/>
</div>


### The MLJ Universe

The functionality of MLJ is distributed over a number of repositories
illustrated in the dependency chart below. These repositories live at
the [JuliaAI](https://github.com/JuliaAI) umbrella organization.

<div align="center">
    <img src="material/MLJ_stack.svg" alt="Dependency Chart">
</div>

*Dependency chart for MLJ repositories. Repositories with dashed
connections do not currently exist but are planned/proposed.*

<br>
<p align="center">
<a href="CONTRIBUTING.md">Contributing</a> &nbsp;•&nbsp; 
<a href="ORGANIZATION.md">Code Organization</a> &nbsp;•&nbsp;
<a href="ROADMAP.md">Road Map</a> 
</br>

#### Contributors

*Core design*: A. Blaom, F. Kiraly, S. Vollmer

*Lead contributor*: A. Blaom

*Active maintainers*: A. Blaom, S. Okon, T. Lienart, D. Aluthge



