```@raw html
<script async defer src="https://buttons.github.io/buttons.js"></script>

<div style="font-size:1.25em;font-weight:bold;">
  <a href="about_mlj"
    style="color: #389826;">About</a>           &nbsp;|&nbsp;
  <a href="https://alan-turing-institute.github.io/MLJ.jl/dev/about_mlj/#Installation" 
    style="color: #389826;">Install</a>         &nbsp;|&nbsp;
  <a href="learning_mlj"   style="color: #389826;">Learn</a>            &nbsp;|&nbsp;
  <a href="mlj_cheatsheet" style="color: #9558B2;">Cheatsheet</a>       &nbsp;|&nbsp;
  <a href="common_mlj_workflows" style="color: #9558B2;">Workflows</a>  &nbsp;|&nbsp;
  <a href="https://github.com/alan-turing-institute/MLJ.jl/" style="color: #9558B2;">For Developers</a> &nbsp;|&nbsp;
  <a href="third_party_packages" style="color: #9558B2;">3rd Party Packages</a>
</div>

<span style="color: #9558B2;font-size:4.5em;">
MLJ</span>
<br>
<span style="color: #9558B2;font-size:2.25em;font-style:italic;">
A Machine Learning Framework for Julia</span>
```

To support MLJ development, please cite these works or star the repo:

[![DOI](https://joss.theoj.org/papers/10.21105/joss.02704/status.svg)](https://doi.org/10.21105/joss.02704)  [![arXiv](https://img.shields.io/badge/arXiv-2012.15505-<COLOR>.svg)](https://arxiv.org/abs/2012.15505)

```@raw html
<a class="github-button" 
  href="https://github.com/alan-turing-institute/MLJ.jl" 
  data-icon="octicon-star" 
  data-size="large" 
  data-show-count="true" 
  aria-label="Star alan-turing-institute/MLJ.jl on GitHub">
  Star</a>
```

# Reference manual

### Basics
[Getting Started](@ref) | 
[Working with Categorical Data](@ref) | 
[Common MLJ Workflows](@ref) |
[Machines](@ref) |
[MLJ Cheatsheet](@ref) 

### Data
[Working with Categorical Data](@ref) | 
[Preparing Data](@ref) |
[Generating Synthetic Data](@ref) |
[OpenML Integration](@ref)

### Models
[Model Search](@ref model_search) |
[Loading Model Code](@ref) |
[Transformers and Other Unsupervised Models](@ref) |
[More on Probabilistic Predictors](@ref) |
[Composing Models](@ref) |
[Simple User Defined Models](@ref) |
[List of Supported Models](@ref model_list) |
[Third Party Packages](@ref) 

### Meta-algorithms
[Evaluating Model Performance](@ref) |
[Tuning Models](@ref) |
[Controlling Iterative Models](@ref) |
[Learning Curves](@ref)

### Composition
[Composing Models](@ref) |
[Linear Pipelines](@ref) |
[Target Transformations](@ref) |
[Homogeneous Ensembles](@ref) |
[Model Stacking](@ref) |

### Customization and Extension
[Simple User Defined Models](@ref) |
[Quick-Start Guide to Adding Models](@ref) |
[Adding Models for General Use](@ref) |
[Composing Models](@ref) |
[Internals](@ref internals_section) |
[Modifying Behavior](@ref)

### Miscellaneous
[Weights](@ref) |
[Acceleration and Parallelism](@ref) |
[Performance Measures](@ref) 



